GETENV(3)

NAME
getenv, putenv - access environment variables

SYNOPSIS
#include <u.h>
#include <libc.h>

char* getenv(char *name)
int   putenv(char *name, char *val)

DESCRIPTION
Getenv reads the contents of /env/name (see env(3)) into memory allocated with malloc(3), 0-terminates it, and returns a pointer to that area. If no file exists, 0 is returned.

Putenv creates the file /env/name and writes the string val to it. The terminating 0 is not written. If the file value cannot be written, -1 is returned.

SOURCE
/usr/local/plan9/src/libc/9sys

SEE ALSO
env(3)

DIAGNOSTICS
Sets errstr.